image: node:6
clone:
  depth: full
pipelines:
  branches:
    develop:
      - step:
          name: Deploy to test
          deployment: test
          caches:
            - node
          script:
            - npm install
            - git push https://heroku:$HEROKU_API_KEY@git.heroku.com/latovus-dev.git HEAD:master
    master:
      - step:
          name: Deploy to production
          deployment: production
          caches:
            - node
          script:
            - npm install
            - git push https://heroku:$HEROKU_API_KEY@git.heroku.com/latovus-prod.git HEAD:master